Create order requests (Coming soon)
curl --request POST \
--url https://sandbox.api.btdx.io/order-requests/batch \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"requests": [
{
"walletId": "<string>",
"marketId": "<string>",
"outcomeId": "<string>",
"price": 123,
"stake": 123,
"keepWhenInPlay": true,
"reference": "<string>",
"commissionRateId": "<string>"
}
]
}
'import requests
url = "https://sandbox.api.btdx.io/order-requests/batch"
payload = { "requests": [
{
"walletId": "<string>",
"marketId": "<string>",
"outcomeId": "<string>",
"price": 123,
"stake": 123,
"keepWhenInPlay": True,
"reference": "<string>",
"commissionRateId": "<string>"
}
] }
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requests: [
{
walletId: '<string>',
marketId: '<string>',
outcomeId: '<string>',
price: 123,
stake: 123,
keepWhenInPlay: true,
reference: '<string>',
commissionRateId: '<string>'
}
]
})
};
fetch('https://sandbox.api.btdx.io/order-requests/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"ids": [
{
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"ids": [
{
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"ids": [
{
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}Orders
Create order requests (Coming soon)
Submit a request to create multiple orders and get back an acknowledgement response containing the orders’ ID’s immediately. Orders with status of Pending will be created immediately in order to generate IDs; Any in-play/BIR delay, as well as initial matching will be performed asynchronously. The order IDs, and/or any errors, will be ordered in the response in the same order as in the request. Updates about orders created via this method maybe found as OrderUpdate messages through the StreamAPI and/or by calling GET /orders/ with the returned IDs
POST
/
order-requests
/
batch
Create order requests (Coming soon)
Headers
Header with the accessToken for the current session
Body
application/json
list of individual order requests
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
⌘I